## swift 2.33.1

=== debian/changelog ===
swift (2.33.1-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    Swift needs to be modified to accept the fix for Keystone, otherwise S3
    authentication will stop working.
    Deployers are advised to update Swift first, as the patched swift will work
    with unpatched keystone, while the opposite isn't true.
    Applied upstream patch (Closes: #1120057):
    Add bug-2119646-swift.patch, which offers swift side compatibility with the
    keystone fix.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Tue, 04 Nov 2025 15:45:47 +0000

swift (2.33.1-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Sep 2025 09:53:53 +0200

swift (2.33.0-7) unstable; urgency=medium

  * Move swift-{object,account,container}-generator to /usr (Closes: #1073674).

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Jul 2024 06:30:35 +0200

swift (2.33.0-6) unstable; urgency=medium

  * Add TestECObjController.test_GET_disconnect to autpkgtest blacklist, as per
    suggestion from release team (timeout too tight) (Closes: #1074021).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jul 2024 02:46:42 +0200

swift (2.33.0-5) unstable; urgency=medium

  * Add kms_keymaster-allow-specifying-barbican_endpoint.patch.
  * Blacklist non-deterministic tests:
    - TestReceiver.test_UPDATES_timeout
    - TestReceiver.test_UPDATES_no_problems_no_hard_disconnect
    - TestMemcached.test_operations_timing_stats_with_incr_timeout

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Jun 2024 12:05:57 +0200

swift (2.33.0-4) unstable; urgency=medium

  * Removed build-depends on python3-openstack.nose-plugin.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Apr 2024 14:17:48 +0200

swift (2.33.0-3) unstable; urgency=medium

  * Restrict autopkgtest to amd64, arm64, mips64el, ppc64el, riscv64, s390x.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Apr 2024 17:12:31 +0200

swift (2.33.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Blacklist broken test: TestGetOrHeadHandler.test_disconnected_logging.
  * Blacklist TestObjectExpirer.test_failed_delete_continues_on that executes
    in less than 1s on my laptop, and the test checks if 1s...
  * Blacklist TestObjectReplicator.test_update that isn't deterministic.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 23:12:25 +0200

swift (2.33.0-1) experimental; urgency=medium

  * New upstream release.
  * Manage patches (refreshed, rebased, removed applied upstream...).
  * Blacklist TestECObjController.test_GET_read_timeout, failing in py3.12.
  * Add usr/bin/swift-reload to the swift package.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 13:11:28 +0100

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 12),
 dh-exec,
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-boto3,
 python3-cffi,
 python3-coverage,
 python3-cryptography,
 python3-eventlet,
 python3-fixtures,
 python3-greenlet,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-mock,
 python3-openssl,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-os-testr,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslosphinx,
 python3-pastedeploy,
 python3-pyeclib,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-stestr,
 python3-swiftclient,
 python3-xattr,
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/swift
Vcs-Git: https://salsa.debian.org/openstack-team/services/swift.git
Homepage: https://github.com/openstack/swift
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-swift
Architecture: all
Section: python
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 python3-cffi,
 python3-cryptography,
 python3-eventlet,
 python3-greenlet,
 python3-openssl,
 python3-oslo.config,
 python3-oslo.log,
 python3-pastedeploy,
 python3-pyeclib,
 python3-six,
 python3-xattr,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 systemd (<< 235~),
Description: distributed virtual object store - Python 3 libraries
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python 3 libraries that actually implement
 everything.

Package: swift
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 logrotate,
 python3-swift (=${binary:Version}),
 rsyslog,
 ${misc:Depends},
 ${python3:Depends},
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-account
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 openstack-pkg-tools,
 python3-pastescript,
 python3-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - account server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-container
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 openstack-pkg-tools,
 python3-pastescript,
 python3-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-doc
Architecture: all
Section: doc
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libjs-bootstrap,
 libjs-jquery,
 libjs-underscore,
 python-os-api-ref-common,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: distributed virtual object store - documentation
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Sphinx generated documentation for Swift.

Package: swift-drive-audit
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 python3-swift (=${binary:Version}),
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: distributed virtual object store - drive audit
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift drive audit tool.

Package: swift-object
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 python3-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export SWIFT_TEST_CONFIG_FILE=$(CURDIR)/debian/swift-test.conf

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

# Control if proxy + account + container server should be using UWSGI or not
export DEB_USE_UWSGI=no

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info .pybuild
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	dh_auto_build

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func python3-swift.postinst

	set -e ; set -x ; \
	for i in	debian/swift-account.swift-account-auditor.init.in \
			debian/swift-account.swift-account-reaper.init.in \
			debian/swift-account.swift-account-replicator.init.in \
			debian/swift-container.swift-container-auditor.init.in \
			debian/swift-container.swift-container-reconciler.init.in \
			debian/swift-container.swift-container-replicator.init.in \
			debian/swift-container.swift-container-sharder.init.in \
			debian/swift-container.swift-container-sync.init.in \
			debian/swift-container.swift-container-updater.init.in \
			debian/swift-object-expirer.swift-object-expirer.init.in \
			debian/swift-object.swift-object-auditor.init.in \
			debian/swift-object.swift-object.init.in \
			debian/swift-object.swift-object-reconstructor.init.in \
			debian/swift-object.swift-object-replicator.init.in \
			debian/swift-object.swift-object-updater.init.in \
			; do \
		debian/gen-init $$i ; \
	done

	set -e ; set -x ; \
	for i in	debian/swift-proxy.swift-proxy.init \
			debian/swift-account.swift-account.init \
			debian/swift-container.swift-container.init \
			; do \
		if [ $$DEB_USE_UWSGI = "yes" ] ; then \
			cp $$i.in $$i ; \
			cat /usr/share/openstack-pkg-tools/init-script-template >>$$i ; \
			pkgos-gen-systemd-unit $$i.in ; \
		else \
			CONFIG=`echo $$i | cut -d/ -f2 | cut -d. -f1 | sed -e s/swift-//`-server debian/gen-init $$i.in ; \
		fi ; \
	done

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
	rm debian/tmp/usr/bin/swift-init
# https://review.opendev.org/c/openstack/swift/+/904601
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 --test-path test/unit 'test\.unit\.(?!common\.test_utils\.TestUtils\.test_get_logger_sysloghandler_plumbing|common\.middleware\.test_cname_lookup\.TestCNAMELookup.*|common\.test_db\.TestDatabaseBroker\.test_get.*|container\.test_sync\.TestContainerSync\.test_init.*|common\.test_utils\.TestPunchHoleReally\.test_punch_a_hole.*|common\.test_utils\.Test_LibcWrapper\.test_argument_plumbing.*|common\.test_utils\.TestUtils\.test_load_pkg_resource_importlib.*|common\.test_db_replicator\.TestHandoffsOnly.*|common\.ring\.test_builder\.TestGetRequiredOverload\.test_perfect_four_zone_four_replica_bad_placement|common\.test_wsgi\.TestWSGI.*|obj\.test_expirer\.TestObjectExpirer\.test_delete_actual_object|common\.test_memcached\.TestMemcached\.test_get_conns_hostname6|common\.test_memcached\.TestMemcached\.test_get_conns_v6|common\.test_memcached\.TestMemcached\.test_get_conns_v6_default|obj\.test_reconstructor\.TestWorkerReconstructor\.test_run_forever_recon_aggregation|proxy\.controllers\.test_obj\.TestECObjController\.test_GET_with_duplicate_but_sufficient_frag_indexes|proxy\.test_mem_server\.TestProxyServer\.test_statsd_prefix|proxy\.controllers\.test_obj\.TestECObjController\.test_GET_read_timeout|proxy\.controllers\.test_base\.TestGetOrHeadHandler\.test_disconnected_logging|obj\.test_expirer\.TestObjectExpirer\.test_failed_delete_continues_on|obj\.test_replicator\.TestObjectReplicator\.test_update|obj\.test_ssync_receiver\.TestReceiver\.test_UPDATES_timeout|obj\.test_ssync_receiver\.TestReceiver\.test_UPDATES_no_problems_no_hard_disconnect|common\.test_memcached\.TestMemcached\.test_operations_timing_stats_with_incr_timeout)'
endif

override_dh_installinit:
	set -e ; set -x ; \
	for FILE in $(sort $(patsubst debian/%,%,$(wildcard debian/*.init))) ; do \
		PKG=`echo $$FILE | cut -d. -f1` ; \
		NAME=`echo $$FILE | cut -d. -f2` ; \
		dh_installinit --error-handler=true -p$$PKG --name=$$NAME ;\
	done

override_dh_installsystemd:
	set -e ; set -x ; \
	for FILE in $(sort $(patsubst debian/%,%,$(wildcard debian/*.service))) ; do \
		PKG=`echo $$FILE | cut -d. -f1` ; \
		NAME=`echo $$FILE | cut -d. -f2` ; \
		dh_installsystemd -p$$PKG --name=$$NAME ;\
	done

gen-init-configurations:
	echo "Do nothing"

# build with sphinx documentation
override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	LC_ALL=C.UTF-8 PYTHONPATH=. python3 -m sphinx doc/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/base
	LC_ALL=C.UTF-8 PYTHONPATH=. python3 -m sphinx api-ref/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/api-ref
	dh_sphinxdoc
endif

override_dh_installdocs:
	dh_installdocs

	dh_installdocs -A AUTHORS

override_dh_missing:
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## swift 2.34.0

=== debian/changelog ===
swift (2.34.0-5) unstable; urgency=medium

  * Switch to bootstarp 5 for -doc (Closes: #1088535).

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Dec 2024 10:54:52 +0100

swift (2.34.0-4) unstable; urgency=medium

  * Add Stop-using-cgi.parse_header.patch (Closes: #1084544).

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Oct 2024 10:34:12 +0100

swift (2.34.0-3) unstable; urgency=medium

  * Blacklist unit tests needing DNS (Closes: #1084767):
    - TestProxyLogging.test_init_statsd_options_access_log_prefix
    - TestProxyLogging.test_init_statsd_options_log_prefix

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Oct 2024 09:41:58 +0200

swift (2.34.0-2) unstable; urgency=medium

  * Blacklist test_embed_expirer_bytes_from_diskfile_metadata, failing when
    backporting to Bookworm.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:26:11 +0200

swift (2.34.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebase / refreshed / removed applied upstream patches.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2024 12:07:20 +0200

=== debian/control ===
--- 
+++ 
@@ -207,7 +207,7 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- libjs-bootstrap,
+ libjs-bootstrap5,
  libjs-jquery,
  libjs-underscore,
  python-os-api-ref-common,

=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,7 @@
 	rm debian/tmp/usr/bin/swift-init
 # https://review.opendev.org/c/openstack/swift/+/904601
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 --test-path test/unit 'test\.unit\.(?!common\.test_utils\.TestUtils\.test_get_logger_sysloghandler_plumbing|common\.middleware\.test_cname_lookup\.TestCNAMELookup.*|common\.test_db\.TestDatabaseBroker\.test_get.*|container\.test_sync\.TestContainerSync\.test_init.*|common\.test_utils\.TestPunchHoleReally\.test_punch_a_hole.*|common\.test_utils\.Test_LibcWrapper\.test_argument_plumbing.*|common\.test_utils\.TestUtils\.test_load_pkg_resource_importlib.*|common\.test_db_replicator\.TestHandoffsOnly.*|common\.ring\.test_builder\.TestGetRequiredOverload\.test_perfect_four_zone_four_replica_bad_placement|common\.test_wsgi\.TestWSGI.*|obj\.test_expirer\.TestObjectExpirer\.test_delete_actual_object|common\.test_memcached\.TestMemcached\.test_get_conns_hostname6|common\.test_memcached\.TestMemcached\.test_get_conns_v6|common\.test_memcached\.TestMemcached\.test_get_conns_v6_default|obj\.test_reconstructor\.TestWorkerReconstructor\.test_run_forever_recon_aggregation|proxy\.controllers\.test_obj\.TestECObjController\.test_GET_with_duplicate_but_sufficient_frag_indexes|proxy\.test_mem_server\.TestProxyServer\.test_statsd_prefix|proxy\.controllers\.test_obj\.TestECObjController\.test_GET_read_timeout|proxy\.controllers\.test_base\.TestGetOrHeadHandler\.test_disconnected_logging|obj\.test_expirer\.TestObjectExpirer\.test_failed_delete_continues_on|obj\.test_replicator\.TestObjectReplicator\.test_update|obj\.test_ssync_receiver\.TestReceiver\.test_UPDATES_timeout|obj\.test_ssync_receiver\.TestReceiver\.test_UPDATES_no_problems_no_hard_disconnect|common\.test_memcached\.TestMemcached\.test_operations_timing_stats_with_incr_timeout)'
+	pkgos-dh_auto_test --no-py2 --test-path test/unit 'test\.unit\.(?!common\.test_utils\.TestUtils\.test_get_logger_sysloghandler_plumbing|common\.middleware\.test_cname_lookup\.TestCNAMELookup.*|common\.test_db\.TestDatabaseBroker\.test_get.*|container\.test_sync\.TestContainerSync\.test_init.*|common\.test_utils\.TestPunchHoleReally\.test_punch_a_hole.*|common\.test_utils\.Test_LibcWrapper\.test_argument_plumbing.*|common\.test_utils\.TestUtils\.test_load_pkg_resource_importlib.*|common\.test_db_replicator\.TestHandoffsOnly.*|common\.ring\.test_builder\.TestGetRequiredOverload\.test_perfect_four_zone_four_replica_bad_placement|common\.test_wsgi\.TestWSGI.*|obj\.test_expirer\.TestObjectExpirer\.test_delete_actual_object|common\.test_memcached\.TestMemcached\.test_get_conns_hostname6|common\.test_memcached\.TestMemcached\.test_get_conns_v6|common\.test_memcached\.TestMemcached\.test_get_conns_v6_default|obj\.test_reconstructor\.TestWorkerReconstructor\.test_run_forever_recon_aggregation|proxy\.controllers\.test_obj\.TestECObjController\.test_GET_with_duplicate_but_sufficient_frag_indexes|proxy\.test_mem_server\.TestProxyServer\.test_statsd_prefix|proxy\.controllers\.test_obj\.TestECObjController\.test_GET_read_timeout|proxy\.controllers\.test_base\.TestGetOrHeadHandler\.test_disconnected_logging|obj\.test_expirer\.TestObjectExpirer\.test_failed_delete_continues_on|obj\.test_replicator\.TestObjectReplicator\.test_update|obj\.test_ssync_receiver\.TestReceiver\.test_UPDATES_timeout|obj\.test_ssync_receiver\.TestReceiver\.test_UPDATES_no_problems_no_hard_disconnect|common\.test_memcached\.TestMemcached\.test_operations_timing_stats_with_incr_timeout|obj\.test_expirer\.TestExpirerHelpers\.test_embed_expirer_bytes_from_diskfile_metadata|common\.middleware\.test_proxy_logging\.TestProxyLogging\.test_init_statsd_options_access_log_prefix|common\.middleware\.test_proxy_logging\.TestProxyLogging\.test_init_statsd_options_log_prefix)'
 endif
 
 override_dh_installinit:

## swift 2.34.1

=== debian/changelog ===
swift (2.34.1-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    Swift needs to be modified to accept the fix for Keystone, otherwise S3
    authentication will stop working.
    Deployers are advised to update Swift first, as the patched swift will work
    with unpatched keystone, while the opposite isn't true.
    Applied upstream patch (Closes: #1120057):
    Add bug-2119646-swift.patch, which offers swift side compatibility with the
    keystone fix.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 04 Nov 2025 15:45:22 +0000

swift (2.34.1-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Sep 2025 09:52:27 +0200

## swift 2.34.2

=== debian/changelog ===
swift (2.34.2-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed bug-2119646-swift.patch applied upstream.
  * Rebased 3 patches.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 03 Feb 2026 15:24:46 +0000

swift (2.34.1-2) UNRELEASED; urgency=medium

  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    Swift needs to be modified to accept the fix for Keystone, otherwise S3
    authentication will stop working.
    Deployers are advised to update Swift first, as the patched swift will work
    with unpatched keystone, while the opposite isn't true.
    Applied upstream patch (Closes: #1120057):
    Add bug-2119646-swift.patch, which offers swift side compatibility with the
    keystone fix.

 -- Thomas Goirand <zigo@debian.org>  Fri, 31 Oct 2025 01:52:05 +0100

## swift 2.35.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

eventlet>=0.25.0,!=0.34.3               # MIT
greenlet>=0.3.3
PasteDeploy>=2.0.0
lxml>=4.2.3
requests>=2.14.2                        # Apache-2.0
xattr>=0.7.2;sys_platform!='win32'      # MIT
PyECLib>=1.3.1,!=1.6.2,!=1.6.3          # BSD
cryptography>=2.0.2                     # BSD/Apache-2.0
dnspython>=1.15.0                       # http://www.dnspython.org/LICENSE

=== debian/changelog ===
swift (2.35.0-0ubuntu1.1) plucky-security; urgency=medium

  * d/p/lp2119646.patch: Use auth tokens when accessing Keystone's
    /v3/s3tokens endpoint (LP #2119646).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Mon, 03 Nov 2025 15:34:31 +0100

swift (2.35.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/p/skip-test-local-py36.patch: Drop
  * Refresh patches:
    - d/p/skip-online-test.patch
    - d/p/skip-py312-failures.patch

 -- Myles Penner <myles.penner@canonical.com>  Wed, 19 Mar 2025 08:13:35 -0700

swift (2.34.0+git2025011510.f95315b71-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Remove outdated dependencies.

  [ James Page ]
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 21 Jan 2025 10:49:51 +0000

swift (2.34.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 11:18:10 +0100

swift (2.33.0+git2024080716.9d14c7c8-0ubuntu2) oracular; urgency=medium

  * d/p/skip-online-test.patch: Update for new tests that require access
    to online services.

 -- James Page <james.page@ubuntu.com>  Fri, 06 Sep 2024 15:10:26 +0100

swift (2.33.0+git2024080716.9d14c7c8-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian:
    - d/p/*: Refresh.

 -- Myles <myles.penner@canonical.com>  Thu, 15 Aug 2024 15:48:01 +0100

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Soren Hansen <soren@ubuntu.com>
Uploaders:
 Monty Taylor <mordred@inaugust.com>,
 Greg Holt <gholt@rackspace.com>,
 Jay Payne <letterj@racklabs.com>,
 Michael Barton <michael.barton@rackspace.com>,
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 libjerasure2,
 python3-boto3 (>= 1.9),
 python3-botocore (>= 1.12),
 python3-cffi,
 python3-cryptography (>= 2.0.2),
 python3-dnspython (>= 1.15.0),
 python3-docutils (>= 0.15),
 python3-eventlet (>= 0.25.0),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.3.3),
 python3-hacking (>= 0.11.0),
 python3-keystoneclient (>= 1:3.19.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 4.2.3),
 python3-mock (>= 3.0),
 python3-netifaces (>= 0.8),
 python3-nose (>= 1.3.7),
 python3-nosehtmloutput (>= 0.0.3),
 python3-nosexcover (>= 1.0.10),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.0.0),
 python3-pastedeploy (>= 2.0.0),
 python3-pyeclib (>= 1.3.1),
 python3-pytest (>= 4.6.11),
 python3-pytest-cov (>= 2.12.1),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-stestr (>= 2.0.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testtools,
 python3-xattr (>= 0.7.2),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/swift
Homepage: https://opendev.org/openstack/swift
Testsuite: autopkgtest-pkg-python

Package: python3-swift
Architecture: all
Section: python
Depends:
 adduser,
 libjerasure2,
 python3-cryptography (>= 2.0.2),
 python3-dnspython (>= 1.15.0),
 python3-eventlet (>= 0.25.0),
 python3-greenlet (>= 0.3.3),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 4.2.3),
 python3-netifaces (>= 0.8),
 python3-pastedeploy (>= 2.0.0),
 python3-pyeclib (>= 1.3.1),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-xattr (>= 0.7.2),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Breaks:
 swift-account (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-container (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-object (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-object-expirer (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
Replaces:
 python-swift (<< 2.22.0~b1~git2019071110.e62f07d98-0ubuntu1~),
 swift-account (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-container (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-object (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-object-expirer (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
Description: distributed virtual object store - Python 3 libraries
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python 3 libraries that actually implement
 everything.

Package: swift
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Suggests:
 swift-bench,
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-account
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: distributed virtual object store - account server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-container
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: distributed virtual object store - documentation
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Sphinx generated documentation for Swift.

Package: swift-object
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift object server.

Package: swift-object-expirer
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: distributed virtual object store - object expirer

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
 https://tarballs.opendev.org/openstack/swift/ swift-(2\.35.*)\.tar\.gz

## swift 2.35.0+git2025070714.1428eb3b5

=== debian/changelog ===
swift (2.35.0+git2025070714.1428eb3b5-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/p/skip-online-test.patch: Refresh.
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/checksum-handle-missing-pyeclib-file.patch: Add patch.
  * d/p/restore-missing-files-in-manifest.patch: Import upstream patch
  * Flamingo feature freeze exception. (LP: #2121258)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 18 Jul 2025 14:32:07 -0700
